Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.core
Interface IModuleType

    public interface IModuleType

Represents the type of a module.

This interface is not intended to be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  1.0

Method Summary
`java.lang.String` | `getId()` Returns the module type id.
`java.lang.String` | `getName()` Returns the displayable name for this module type.
`java.lang.String` | `getVersion()` Returns the version (specification level) of this module type, e.g. "1.0" or "1.3.2a".

Method Detail

### getId

    java.lang.String getId()

  Returns the module type id.

  The module type id is a "." separated string uniquely identifying the type of module. Like a java package name, it should scope the type from most general to specific. For instance, "jst.web".

  Returns:
    the module type id

### getName

    java.lang.String getName()

  Returns the displayable name for this module type.

  Note that this name is appropriate for the current locale.

  Returns:
    a displayable name for this module type

### getVersion

    java.lang.String getVersion()

  Returns the version (specification level) of this module type, e.g. "1.0" or "1.3.2a".

  The version will normally be a series of numbers separated by ".", but it could be different depending on the type of module. For module types where a version does not make sense (e.g. a static Web module), `null` is returned.

  Returns:
    the specification version of this module type, or `null` if there is no version

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD